@import 'assets/variables';

.root {
  display: flex;
  justify-content: center;
  padding: $topbar-margin $cell * 5;
}

.container {
  display: flex;

  width: 100%;
  max-width: $content-width-wide;
  flex-direction: column;
}

.headerWrapper {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  width: 100%;
  border-bottom: 2px rgba(34,36,38,.35) solid;
  padding-bottom: $cell * 2;
  margin-bottom: $cell * 3;
  .header {
    font-size: 2.2rem;
    line-height: 2.2rem;
  }

  .calculatorIcon {
    cursor: pointer;
    margin-bottom: $cell * -0.5;
    font-size: 1.2rem !important;
    transition: transform ease 0.2s;
    &:hover {
      transform: scale(1.1);
    }
  }
}

.buttons {
  width: 100%;
  max-width: 500px;
  display: flex;
  justify-content: center;
  margin: $cell * 5 auto;

  .button {
    margin: 0 $cell * 3 !important; 
    background-color: $blood-red !important;
    &:hover {
      background-color: $dark-blood-red !important;
    }
    color: white !important;
  }
}

.encounterInfo {
  position: relative;
  margin-top: $cell * 4;
  border-radius: 5px;
  overflow: hidden;
  margin-left: auto;
  margin-right: auto;
  padding: $cell * 4;
  width: 100%;
  max-width: 800px;
  min-height: 450px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;

  .backgroundImage {
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    background-image: url(../../assets/images/fight-bg.jpg);
    &::after{
      z-index: 0;
      content: '';
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      line-height: 5.5rem;
      backdrop-filter: blur(2px);
    }
  }

  .infoBox {
    position: relative;
    z-index: 1;
    background-color: white;
    border-radius: 5px;
    margin: $cell * 2;
    padding: $cell * 2;
    font-size: 1.2rem;
    opacity: 0.9;
  }

  .creatures {
    width: 100%;
    min-height: 150px;
  }

  .personality {
    width: 320px;
    height: 200px;

  }

  .relationships {
    width: 320px;
    height: 200px;
  }
}

.dropdownItem {
  display: flex;
  align-items: center;
  position: relative;

  .ellipsis {
  }

  .dropdownMenuButton {
    >i {
      margin: 0 !important;
    }
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute !important;
    right: 0;
    background-color: transparent;
    transition: background-color ease 0.3s;
    padding: $cell * 0.5;
    &:hover {
      background-color: $soft-grey;
    }
  }
}

.newTable {
  font-weight: bold !important;
}

.calculator {
  padding: $cell;
}

.pleaseLogin {
  margin-top: $cell * 10;
  font-size: 1.3rem;
  text-align: center;
}